package com.docus.server.archive.service;

import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * @author YongBin Wen
 * @date 2024/3/27 16:25
 */
public interface PatientInfoSyncService {
    /**
     * 根据出院时间范围同步
     *
     * @param start 开始时间
     * @param end   结束日期
     * @date 2024/5/23 15:33
     * @author YongBin Wen
     */
    void syncByDisDateRange(LocalDate start, LocalDate end);

    /**
     * 根据最后修改时间同步
     *
     * @param start 开始时间
     * @param end   结束日期
     * @date 2024/5/23 15:35
     * @author YongBin Wen
     */
    void syncByModifyTimeRange(LocalDateTime start, LocalDateTime end);

    /**
     * 根据最后修改时间和出院开始时间同步
     *
     * @param cyrqStart 出院开始时间
     * @param startTime 最后修改时间
     */
    void syncByModifyTimeAndCyrq(String cyrqStart,String startTime);

}
